Draft BSpline/fr: Difference between revisions

From FreeCAD Documentation
mNo edit summary
mNo edit summary
Line 4: Line 4:
L'outil BSpline crée une [http://fr.wikipedia.org/wiki/B-spline courbe] avec plusieurs points dans le [[Draft SelectPlane/fr|plan de travail]] courant.Le fil nouvellement créé possédera la couleur et la largeur de trait actives. L'outil BSpline se comporte exactement comme l'outil [[Draft Wire/fr|Draft Wire]].
L'outil BSpline crée une [http://fr.wikipedia.org/wiki/B-spline courbe] avec plusieurs points dans le [[Draft SelectPlane/fr|plan de travail]] courant.Le fil nouvellement créé possédera la couleur et la largeur de trait actives. L'outil BSpline se comporte exactement comme l'outil [[Draft Wire/fr|Draft Wire]].


[[Image:Draft_bspline_example.jpg|480px]]
[[Image:Draft_bspline_example.jpg|400px]]


==Utilisation==
==Utilisation==

Revision as of 14:04, 9 August 2014

BSpline

Emplacement du menu
Draft → BSpline
Ateliers
Planche à dessin (Draft), Arch
Raccourci par défaut
B S
Introduit dans la version
-
Voir aussi
Filaire

Description

L'outil BSpline crée une courbe avec plusieurs points dans le plan de travail courant.Le fil nouvellement créé possédera la couleur et la largeur de trait actives. L'outil BSpline se comporte exactement comme l'outil Draft Wire.

Utilisation

  1. Pressez le bouton text-top=Courbe B-Spline (Bézier) B-Spline, ou pressez les touches B puis S.
  2. Cliquez le premier point dans la vue 3D, ou tapez les coordonées.
  3. Cliquez un point additionnel dans la vue 3D, ou tapez les coordonées
  4. Pressez les touches F ou C, ou double-cliquez le point suivant, ou cliquez sur le premier point pour finir ou fermer la text-top=Courbe B-Spline (Bézier) B-Spline. Si la text-top=Courbe B-Spline (Bézier) B-Spline est fermée, elle peut aussi être une face, même si elle paraît comme une wireframe (fil).

Options

  • Press F or the Finish button to finish the spline, leaving it open
  • Press C or the Close button or click on the first point to finish the spline, but making it closed by adding a last segment between the last point and the first one.
  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the BSpline tool will restart after you finish or close it, allowing you to draw another one without pressing the BSpline button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press W or press the Wipe button to remove the existing segments and start the spline from the last point.
  • Press CTRL+Z or press the Undo button to undo the last point.
  • Press I or the Filled button to have the spline to appear as a face after it has been closed. This simply sets the View->Property of the Wire to "Flat lines" or "Wireframe", so it can easily be changed later.
  • Press ESC or the Cancel button to abort the current BSpline command.
  • BSplines, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property below.

Properties

  • DonnéesClosed: Specifies if the spline is closed or not
  • VueEnd Arrow: Shows an arrow symbol at the last point of the spline, so it can be used as an annotation leader line
  • VuePattern: Specifies a hatch pattern to fill the wire with
  • VuePattern Size: Specifies the size of the hatch pattern

Script

L'outil text-top=Courbe B-Spline (Bézier) B-Spline peut être utilisé dans des macros, et, dans la console Python, en utilisant cette fonction:

 makeBSpline (pointslist,[closed],[placement])
  • Crée un objet B-Spline à partir de la liste des vecteurs donnés.
  • Si closed, a la valeur True, ou que le premier point et le dernier point sont identiques, le wire (fil) est fermé.
  • Si la face est True(et que la bspline est fermée), la bspline apparaîtra pleine.
  • Au lieu d'une liste de points, vous pouvez également passer un Part Wire.
  • Retourne l'objet nouvellement créé.

Exemple:

 import FreeCAD,Draft
 p1 = FreeCAD.Vector(0,0,0)
 p2 = FreeCAD.Vector(1,1,0)
 p3 = FreeCAD.Vector(2,0,0)
 Draft.makeBSpline([p1,p2,p3],closed=True)